Package org.zkoss.bind.xel.zel

## Class BindExpressionBuilder

- java.lang.Object
- - org.zkoss.zel.impl.lang.ExpressionBuilder
  - - org.zkoss.bind.xel.zel.BindExpressionBuilder

- All Implemented Interfaces:
    `NodeVisitor`
  Direct Known Subclasses:
    `BindExpressionBuilderEx`

      public class BindExpressionBuilder
      extends ExpressionBuilder

  Handle value dot series script for Binding.
  Since:
    6.0.0
  Author:
    henrichen

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected BindELContext` | `_ctx` |

    - ### Fields inherited from class org.zkoss.zel.impl.lang.ExpressionBuilder

      `expression, fnMapper, varMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BindExpressionBuilder​(java.lang.String expression, ELContext ctx)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addTracking​(java.util.List<java.lang.String> series)` |
    `void` | `visit​(Node node)` |
    `protected void` | `visitNode​(Node node)` |

    - ### Methods inherited from class org.zkoss.zel.impl.lang.ExpressionBuilder

      `build, createMethodExpression, createNode, createValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _ctx

          protected final BindELContext _ctx

  - ### Constructor Detail

    - #### BindExpressionBuilder

          public BindExpressionBuilder​(java.lang.String expression,
                                       ELContext ctx)
                                throws ELException

      Throws:
        `ELException`

  - ### Method Detail

    - #### visit

          public void visit​(Node node)
                     throws ELException

      Specified by:
        `visit` in interface `NodeVisitor`
      Overrides:
        `visit` in class `ExpressionBuilder`
      Throws:
        `ELException`

    - #### addTracking

          protected void addTracking​(java.util.List<java.lang.String> series)

    - #### visitNode

          protected void visitNode​(Node node)